Skip to main content
GET
/
events
List all events
curl --request GET \
  --url https://api.flatpeak.com/events \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "url": "/events",
  "has_more": true,
  "data": [
    {
      "id": "evt_65e42b7827c0526548432b9f",
      "object": "event",
      "time_created": "2022-01-24T14:15:22Z",
      "type": "device.create",
      "data": {
        "id": "dev_63a6087272941ef077a8fd3e",
        "object": "device",
        "live_mode": true,
        "controlled": true,
        "properties": {
          "manufacturer": "Nova Systems",
          "model_code": "PICOXN2",
          "model_name": "Pico Ultimate",
          "battery": {
            "capacity_kwh": 14.2,
            "power_kw": 7.2,
            "charge_power_kw": 5,
            "discharge_power_kw": 7.2,
            "round_trip_efficiency": 0.9
          },
          "pv": {
            "peak_power_kw": 6.4,
            "azimuth": 0,
            "tilt": 23,
            "terrain_shading": false,
            "forecasts_enabled": false
          },
          "inverter": {
            "ac_export_limit_kw": 5
          },
          "ev_charger": {
            "max_power_kw": 7.4,
            "min_power_kw": 1.4,
            "phases": 1,
            "phase_switching": false,
            "v2g_capable": false
          },
          "heat_pump": {
            "max_power_kw": 3.5,
            "min_power_kw": 0.5,
            "thermal_storage_litres": 200
          },
          "install_date": "2022-03-22T11:12:21Z"
        },
        "consents": {
          "time_updated": "2022-03-22T11:12:21Z",
          "time_created": "2022-03-22T11:12:21Z",
          "information": true,
          "telemetry": true,
          "control": false,
          "geo_location": true
        },
        "timezone": "Europe/London",
        "geo_location": {
          "lat": 50.12345,
          "lng": -1.23456
        },
        "vpp_participation": {
          "id": "vpa_65ea3fb185c1541f247c251e",
          "provider_name": "Superpower",
          "programme_name": "Home Powerflex",
          "current_state": "ACTIVE",
          "telemetry_active": true,
          "control_active": true
        },
        "time_created": "2022-01-24T14:15:22Z",
        "reference_id": "ACC1234567890",
        "last_seen": "2022-03-22T11:12:21Z"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Authenticate with bearer you obtained from authentication endpoint.

Query Parameters

event_type
string

Type of event.

starting_after
string

Specifies a cursor for pagination use; defines the place in the list. To retrieve the next page in the list include starting_after where ID is the last ID in the currently retrieved list.

ending_before
string

Specifies a cursor for pagination use; defines the place in the list. To retrieve the previous page in the list, include ending_before, which is the first ID in the currently retrieved list.

limit
integer

A limit on the number of objects to be returned. Can range between 1 and 100, and the default is 30.

object_id
string

Filter events by related Flatpeak object ID.

Example:

"ste_641b90b758fb8e6293716e40"

Response

object
string

Object type, list.

Example:

"list"

url
string

Represents the URL slug for the object.

Example:

"/events"

has_more
boolean

Is set to true if more objects are available.

data
object[]